%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Encode
Version:       3.19
Release:       2mamba
Summary:       Encode - character encodings in Perl
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/D/DA/DANKOGAI/Encode-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver

%description
Encode - character encodings in Perl.

%prep
%setup -q -n Encode-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

# Cohexist with perl 5.24
rm -rf %{buildroot}%{_mandir}
rm -rf %{buildroot}%{_bindir}
sed -i "\|%{_mandir}|d" .packlist
sed -i "\|%{_bindir}|d" .packlist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc AUTHORS

%changelog
* Sat Apr 15 2023 Sdk Build System <sdk@mambasoft.it> 3.19-2mamba
- rebuilt with perl 5.36.0

* Sat Mar 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.19-1mamba
- package created using the webbuild interface
